ViEmu/VS: vi-vim editing
for Microsoft Visual Studio

Older ViEmu versions

Starting with ViEmu 2.5, new releases require a valid support contract. You need a valid support contract at the release date of each new version for your license to work with it. Support renewals are valid for a year after they are purchased. Check your license, which you probably received by email, or which you can always check at the Symnum customer portal, for your support expiry date.

If you don't renew your support, you can still use your license for older versions of the ViEmu products. Here are the links to download those older versions, together with the date of support required for your license to be valid with them:


ViEmu for Visual Studio
(for VS 2002/2003/2005/2008):


ViEmu for Visual Studio 2010:

  • ViEmu/VS2010 2.5.6 (works with licenses with active support until July 1, 2010 or later):
    ViEmuVS2010-2.5.6.vsix
  • ViEmu/VS2010 2.5.7 (works with licenses with active support until August 9, 2010 or later):
    ViEmuVS2010-2.5.7.vsix
  • ViEmu/VS2010 2.5.14 (works with licenses with active support until January 14, 2011 or later):
    ViEmuVS2010-2.5.14.vsix

ViEmu for SQL Server:


ViEmu for Word and Outlook: